# Standard Library Imports.
import os

# Setuptools Package Imports.
from setuptools import setup

# Local Paciage Imports.
from ndfdlt import __version__ as VERSION


# Open the README file for inclusion in the setup metadata.
README = open(os.path.join(os.path.dirname(__file__), 'README.rst')).read()

# Allow setup.py to be run from any path.
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))


setup(
    name = 'NDFD-Download-Tool', 
    version = VERSION, 
    py_modules = ['ndfdlt'], 
    license = 'BSD License', 
    description = 'Tool to download NDFD data in XML form.',
    long_description = README, 
    url = 'https://bitbucket.org/notequal/ndfd-download-tool',
    author = 'Stanley Engle',
    author_email = 'sengle@nmsu.edu',
    classifiers = [
        'Intended Audience :: Users', 
        'License :: OSI Approved :: BSD License', 
        'Operating System :: OS Independent', 
        'Programming Language :: Python', 
        'Programming Language :: Python :: 2.7',
    ],
)


